---
- name: Gather ros facts
  community.routeros.facts:
    gather_subset:
      - default
- name: Export config
  community.routeros.command:
    commands:
      - "/export file=export.rsc {% if ansible_net_version | regex_search('^7') %}show-sensitive{% endif %}"
  register: cmd_out
  failed_when: "'expected end of command' in cmd_out.stdout[0]"
- name: Write config to local file
  ansible.builtin.expect:
    command: "scp -oStrictHostKeyChecking=no -P {{ ansible_port }} {{ ansible_user }}@{{ inventory_hostname }}:export.rsc ../{{ inventory_hostname }}.rsc"
    responses:
      (.*)password: "{{ ansible_password }}"
  delegate_to: localhost
- name: Eexecute post processing script
  ansible.builtin.command: "python3 post-process.py ../../../../{{ inventory_hostname }}.rsc"
  args:
    chdir: "{{ role_path }}/files"
  delegate_to: localhost
  changed_when: true
